Bug 218141 - RFE: Graphical passphrase dialog for encrypted disks
RFE: Graphical passphrase dialog for encrypted disks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
: FutureFeature, StringChange
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2006-12-01 18:27 EST by Wander Boessenkool
Modified: 2014-03-16 23:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 17:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Check for and use zenity to ask for a passphrase (1.07 KB, patch)
2006-12-01 18:27 EST, Wander Boessenkool
no flags Details | Diff

  None (edit)
Description Wander Boessenkool 2006-12-01 18:27:17 EST
Currently when rc.sysinit invokes cryptsetup luksOpen to access an encrypted
partition rc.sysinit will do a chvt 1 to allow a user to enter a passphrase.
With the included patch we check if zenity is available to use a graphical
prompt instead of switching to a text-console.
Comment 1 Wander Boessenkool 2006-12-01 18:27:17 EST
Created attachment 142638 [details]
Check for and use zenity to ask for a passphrase
Comment 2 Bill Nottingham 2007-04-16 19:19:38 EDT
Can't do this at this point for Fedora 7, as it changes strings for translation.
Will reexamine for F8.
Comment 3 Matthias Clasen 2007-09-16 16:52:10 EDT
Did any reexamination happen ?
Comment 4 Bill Nottingham 2007-09-17 14:02:27 EDT
No.
Comment 5 Jesse Keating 2008-03-31 13:46:13 EDT
Punting to F10.  Too late for F9 :(
Comment 6 Bug Zapper 2008-04-04 01:03:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Jon Stanley 2008-04-21 10:04:28 EDT
saving from zapping
Comment 8 Bill Nottingham 2008-05-16 17:16:58 EDT
This will be done as part of a rhgb rewrite - this will not be done in
initscripts itself.

Note You need to log in before you can comment on or make changes to this bug.